aboutsummaryrefslogtreecommitdiff
path: root/qa/rpc-tests/send.sh
diff options
context:
space:
mode:
authorCory Fields <cory-nospam-@coryfields.com>2014-01-10 16:28:57 -0500
committerCory Fields <cory-nospam-@coryfields.com>2014-01-10 16:30:33 -0500
commit371f3f6ba553dbc99c3bd2788c2ba38882112bef (patch)
tree1db424f11db78d8a2dbb0cd72430288f77fb37b8 /qa/rpc-tests/send.sh
parent2691cbc4b3c97a468b23f2c11dbe992dfb3f8bcb (diff)
downloadbitcoin-371f3f6ba553dbc99c3bd2788c2ba38882112bef.tar.xz
qt5: fix --with-qt with no arguments
Diffstat (limited to 'qa/rpc-tests/send.sh')
-rwxr-xr-xqa/rpc-tests/send.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/qa/rpc-tests/send.sh b/qa/rpc-tests/send.sh
new file mode 100755
index 0000000000..fdfb1867bc
--- /dev/null
+++ b/qa/rpc-tests/send.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+TIMEOUT=10
+SIGNAL=HUP
+if [ $# -eq 0 ]; then
+ echo -e "Usage:\t$0 <cmd>"
+ echo -e "\tRuns <cmd> and wait ${TIMEOUT} seconds or until SIG${SIGNAL} is received."
+ echo -e "\tReturns: 0 if SIG${SIGNAL} is received, 1 otherwise."
+ exit 0
+fi
+trap '[[ ${PID} ]] && kill ${PID}' ${SIGNAL}
+"$@"
+sleep ${TIMEOUT} & PID=$!
+wait ${PID} && exit 1
+exit 0